#!/bin/bash

# sed -e

CLICK_ARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
CLICK_FRAMEWORK=ubuntu-sdk-16.04.5

pkgver=v1.2.3
srcdir=$BUILD_DIR
pkgdir=$INSTALL_DIR
mkdir -p $srcdir $pkgdir

wget https://github.com/00-Evan/shattered-pixel-dungeon/releases/download/$pkgver/ShatteredPD-$pkgver-Desktop.jar -O ShatteredPD.jar
cp ShatteredPD.jar $pkgdir/

cp $ROOT/manifest.json $pkgdir/
sed -i "s/@CLICK_ARCH@/$CLICK_ARCH/g" $pkgdir/manifest.json
sed -i "s/@CLICK_FRAMEWORK@/$CLICK_FRAMEWORK/g" $pkgdir/manifest.json
cp $ROOT/shatteredpd.apparmour $pkgdir/
cp $ROOT/shatteredpd.desktop $pkgdir/
cp $ROOT/shatteredpd.wrapper $pkgdir/
cp $ROOT/shatteredpd.png $pkgdir/
chmod a+x $pkgdir/shatteredpd.wrapper

exit 0
